Rest api

im using this /API/rest/v1/recordingServers request, but im getting the hostname instead of the ip of the recording servers. there is a way to get the ip of the recording server also the remote ones?

You get is what is configured. It would probably be a source for misunderstanding if that was not the case. I suppose you can do the DNS lookup in your code.

Maybe you need a different perspective. I have an idea that this knowledge base article that tells you how you can configure XProtect recording servers differently to use IPs might come handy. https://supportcommunity.milestonesys.com/KBRedir?art=000035289&lang=en_US

My purpose is to integrate with your system while making sure that the behavior is consistent.

When we connect to a recording server, we only specify the management server. I noticed that when listing the servers via the API, the hostnames look like this:

IP-0A140114, IP-0A1401F1

I checked these DNS names and realized they are hexadecimal representations of the IP addresses. For example,

IP-0A140114 actually corresponds to 10.20.1.20

My question is: can we rely on this format for all recording servers?

I do not get the same as you observe.

I do a

GET /api/rest/v1/recordingservers/[id]

which gives me

..

“hostName”: “dksr-release-01.milestone.dk”,

..

and this corresponds with what I see in the Management Client (MC):

In order for me to understand your observation please give me the details both from the API usage (request, response) and from what you see configured in the MC.